﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=8.5
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Public vuetify As VuetifyApp
	Public clienti As VueComponent
	Public buttons As VueComponent
	Public path As String
	Public name As String = "clienti"
	Private banano As BANano
	
	Private vclienti As VueElement
	Private vclienticontainer As VueElement
	Private vmenuclienti As VueElement
	
	Private vbtngettexts As VueElement
	
	Private txtshaped As VueElement
	
	Private vtableclienti As VueTable
	
	Private dtusers As VueTable
	Private dtimages As VueTable
	
	Public txtcognome As BANanoElement
	Public txtnome As BANanoElement
End Sub

Sub Initialize
	'establish a reference to the app
	vuetify = pgIndex.vuetify
	'initialize the component
	clienti.Initialize(Me, name)
	path = clienti.path
	'load the template
	
	banano.LoadLayout(vuetify.PlaceHolderName, "vclienti")
	vclienti.Matrix(1, 1).LoadLayout("vtableclienti")
	vclienti.Matrix(2, 1).LoadLayout("vmenuclienti")
	vclienti.Matrix(3, 1).LoadLayout("vclienticontainer")

	txtcognome = BVAD3.NewTextField(clienti, "txtcognome", "Cognome", "Cognome ", "cognome", False, "", 0, "", CreateMap( ":dense":True,":hide-details":True,"background-color":"blue lighten-4","outlined" : True))
	vclienticontainer.Matrix(1, 1).Append(txtcognome.GetHTML)
	
	txtnome = BVAD3.NewTextField(clienti, "txtnome", "nome", "Nome ", "", False, "", 0, "Nome", CreateMap( ":dense":True,":hide-details":True,"tile": True, "outlined" : True ))
	vclienticontainer.Matrix(1, 2).Append(txtnome.GetHTML)
	
	Dim txtindirizzo As BANanoElement = BVAD3.NewTextField(clienti, "txtindirizzo", "indirizzo", "indirizzo", "", False, "", 0, "", CreateMap( ":dense":True,":hide-details":True,"tile": True ,"outlined" : True ))
	vclienticontainer.Matrix(1, 3).Append(txtindirizzo.GetHTML)
	
	Dim txtcitta As BANanoElement = BVAD3.NewTextField(clienti, "txtcitta", "citta", "Città", "", False, "", 0, "", CreateMap(":dense":True, ":hide-details":True,"outlined" : True))
	vclienticontainer.Matrix(2, 1).Append(txtcitta.GetHTML)
	
	Dim txtprovincia As BANanoElement = BVAD3.NewTextField(clienti, "txtprovincia", "pv", "Provincia ", "", False, "", 0, "Nome", CreateMap( ":dense":True,":hide-details":True,"outlined" : True ))
	vclienticontainer.Matrix(2,2).Append(txtprovincia.GetHTML)
	
	Dim txtCap As BANanoElement = BVAD3.NewTextField(clienti, "txtcap", "cap", "Cap", "", False, "", 0, "", CreateMap( ":dense":True,":hide-details":True,"outlined" : True))
	vclienticontainer.Matrix(2, 3).Append(txtCap.GetHTML)
	
	''	'
	vtableclienti.AddColumn1("name", "Nominativo", vtableclienti.COLUMN_TEXT, 0, False, vtableclienti.ALIGN_LEFT)
	'ableclienti.AddChip("calories", "Calories", "item.color")
	vtableclienti.AddColumn("Indirizzo", "Indirizzo")
	vtableclienti.AddColumn("Cap", "cap")
	vtableclienti.AddColumn("Citta", "città")
	vtableclienti.AddColumn("Pv", "Pv")
'	vtableclienti.AddAction("mashy", "Mashy", "mdi-vuetify")
	vtableclienti.AddEdit
	vtableclienti.AddDelete
	vtableclienti.AddClone
'	vtableclienti.AddPrint
	'vtableclienti.AddSave
	'vtableclienti.AddCancel
	'vtableclienti.AddDownload
	vtableclienti.AddMenuV
	vtableclienti.SetIconDimensions("edit", "", vuetify.COLOR_GREEN)
	vtableclienti.SetIconDimensions("delete", "", vuetify.COLOR_RED)
	vtableclienti.SetIconDimensions("clone", "", vuetify.COLOR_AMBER)
	vtableclienti.SetIconDimensions("print", "", vuetify.COLOR_BLUE)
	vtableclienti.SetIconDimensions("save", "", vuetify.COLOR_BLUEGREY)
	vtableclienti.SetIconDimensions("cancel", "", vuetify.COLOR_BROWN)
	vtableclienti.SetIconDimensions("download", "", vuetify.COLOR_CYAN)
	vtableclienti.SetIconDimensions("menu", "", vuetify.COLOR_INDIGO)
	vtableclienti.SetIconDimensions("mashy", "", vuetify.COLOR_DEEPPURPLE)
	
	'add data
	vtableclienti.AddRow(CreateMap("name": "Raffaele Viglione 1", "Indirizzo": "Via Roma 8", "Cap":"86100", "Citta": "Campobasso", "Pv": "CB", "protein": 4.0, "iron": "1%"))
	vtableclienti.AddRow(CreateMap("name": "Raffaele Viglione 2", "Indirizzo": "Via Roma 8", "Cap":"86100", "Citta": "Campobasso", "Pv": "CB", "protein": 4.0, "iron": "1%"))
	vtableclienti.AddRow(CreateMap("name": "Raffaele Viglione 3", "Indirizzo": "Via Roma 8", "Cap":"86100", "Citta": "Campobasso", "Pv": "CB", "protein": 4.0, "iron": "1%"))
	vtableclienti.AddRow(CreateMap("name": "Raffaele Viglione 4", "Indirizzo": "Via Roma 8", "Cap":"86100", "Citta": "Campobasso", "Pv": "CB", "protein": 4.0, "iron": "1%"))
	vtableclienti.AddRow(CreateMap("name": "Raffaele Viglione 5" , "Indirizzo": "Via Roma 8", "Cap":"86100", "Citta": "Campobasso", "Pv": "CB", "protein": 4.0, "iron": "1%"))
	vtableclienti.AddRow(CreateMap("name": "Raffaele Viglione", "Indirizzo": "Via Roma 8", "Cap":"86100", "Citta": "Campobasso", "Pv": "CB", "protein": 4.0, "iron": "1%"))
	vtableclienti.AddRow(CreateMap("name": "Raffaele Viglione", "Indirizzo": "Via Roma 8", "Cap":"86100", "Citta": "Campobasso", "Pv": "CB", "protein": 4.0, "iron": "1%"))
	vtableclienti.AddRow(CreateMap("name": "Raffaele Viglione", "Indirizzo": "Via Roma 8", "Cap":"86100", "Citta": "Campobasso", "Pv": "CB", "protein": 4.0, "iron": "1%"))
	vtableclienti.AddRow(CreateMap("name": "Raffaele Viglione", "Indirizzo": "Via Roma 8", "Cap":"86100", "Citta": "Campobasso", "Pv": "CB", "protein": 4.0, "iron": "1%"))
	vtableclienti.AddRow(CreateMap("name": "Raffaele Viglione", "Indirizzo": "Via Roma 8", "Cap":"86100", "Citta": "Campobasso", "Pv": "CB", "protein": 4.0, "iron": "1%"))
	vtableclienti.AddRow(CreateMap("name": "Raffaele Viglione", "Indirizzo": "Via Roma 8", "Cap":"86100", "Citta": "Campobasso", "Pv": "CB", "protein": 4.0, "iron": "1%"))
	vtableclienti.AddRow(CreateMap("name": "Raffaele Viglione", "Indirizzo": "Via Roma 8", "Cap":"86100", "Citta": "Campobasso", "Pv": "CB", "protein": 4.0, "iron": "1%"))
	vtableclienti.AddRow(CreateMap("name": "Raffaele Viglione", "Indirizzo": "Via Roma 8", "Cap":"86100", "Citta": "Campobasso", "Pv": "CB", "protein": 4.0, "iron": "1%"))

	' menu clienti
	Dim btnnuovo As BANanoElement = BVAD3.NewButtonIconRight(buttons, "btnnuovo", "Aggsssiungi", "mdi-plus", "primary", True, Null,CreateMap( ":dense":True,":hide-details":False,"outlined" : True))  ''CreateMap("x-samll":True,"my":"2"), CreateMap("x-samll":True,"my":"2"))
	vmenuclienti.matrix(1, 1).Append(btnnuovo.GetHTML)
	
	Dim btnmodifica As BANanoElement = BVAD3.NewButtonIconRight(buttons, "btnmodifica", "Modissfica", "mdi-plus", "indigo", True, Null,CreateMap( ":dense":True,":hide-details":True,"outlined" : True))
	vmenuclienti.matrix(1, 2).Append(btnmodifica.GetHTML)
'	'
	clienti.BindVueTable(vtableclienti)

	'add the placeholder content to the template
	clienti.AppendPlaceHolder
	
	'add the component as a router
	vuetify.AddRoute(clienti)
End Sub

Sub vtableclienti_mashy(item As Map)
	vuetify.ShowSnackBar("Mashy tapped!" & CRLF & CRLF & banano.ToJson(item))
End Sub

Sub vtableclienti_Save (item As Map)
	vuetify.ShowSnackBar("Save tapped!" & CRLF & CRLF & banano.ToJson(item))
End Sub

Sub vtableclienti_Edit (item As Map)
	clienti.SetData("Cognome",item.Get("name"))
	clienti.SetData("indirizzo",item.Get("Indirizzo"))
	clienti.SetData("cap",item.Get("Cap"))
	clienti.SetData("pv",item.Get("Pv"))
	clienti.SetData("citta",item.Get("Citta"))
End Sub

Sub vtableclienti_Delete (item As Map)
	vuetify.ShowSnackBar("Delete tapped!" & CRLF & CRLF & banano.ToJson(item))
End Sub

Sub vtableclienti_Print (item As Map)
	vuetify.ShowSnackBar("Print tapped!" & CRLF & CRLF & banano.ToJson(item))
End Sub

Sub vtableclienti_Cancel (item As Map)
	vuetify.ShowSnackBar("Cancel tapped!" & CRLF & CRLF & banano.ToJson(item))
End Sub

Sub vtableclienti_Download (item As Map)
	vuetify.ShowSnackBar("Download tapped!" & CRLF & CRLF & banano.ToJson(item))
End Sub

Sub vtableclienti_Menu (item As Map)
	vuetify.ShowSnackBar("Menu tapped!" & CRLF & CRLF & banano.ToJson(item))
End Sub

Sub vtableclienti_Clone (item As Map)
	vuetify.ShowSnackBar("Clone tapped!" & CRLF & CRLF & banano.ToJson(item))
End Sub

Sub dtusers_Edit (item As Map)
	vuetify.ShowSnackBar("Users Edit: " & CRLF & CRLF & banano.ToJson(item))
	
End Sub

Sub dtusers_Delete (item As Map)
	vuetify.ShowSnackBar("Users Delete:" & CRLF & CRLF & banano.ToJson(item))
End Sub

Sub dtusers_Change (item As Map)
	vuetify.ShowSnackBar("Users Change:" & CRLF & CRLF & banano.ToJson(item))
End Sub

Sub vtableclienti_Change (item As Map)
	clienti.SetData("Cognome",item.Get("name"))
	clienti.SetData("indirizzo",item.Get("Indirizzo"))
	clienti.SetData("cap",item.Get("Cap"))
	clienti.SetData("pv",item.Get("Pv"))
	clienti.SetData("citta",item.Get("Citta"))
End Sub

Sub vtableclienti_ClickRow (e As BANanoObject)
	clienti.SetData("Cognome",e.GetField("name"))
	clienti.SetData("indirizzo",e.GetField("Indirizzo"))
	clienti.SetData("cap",e.GetField("Cap"))
	clienti.SetData("pv",e.GetField("Pv"))
	clienti.SetData("citta",e.GetField("Citta"))
End Sub

Sub vtableclienti_ItemSelected (item As Map)
	clienti.SetData("Cognome",item.Get("name"))
	clienti.SetData("indirizzo",item.Get("Indirizzo"))
	clienti.SetData("cap",item.Get("Cap"))
	clienti.SetData("pv",item.Get("Pv"))
	clienti.SetData("citta",item.Get("Citta"))
End Sub